# Update thread PUT https://hublinks.io/rest/accounts/{account_id}/inbox/linkedin/seats/{seat_id}/threads/{thread_id} Content-Type: application/json Update Linkedin thread. Reference: https://api.hublinks.io/api-reference/inbox/linkedin/threads/update-thread ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /rest/accounts/{account_id}/inbox/linkedin/seats/{seat_id}/threads/{thread_id}: put: operationId: update-thread summary: Update thread description: Update Linkedin thread. tags: - >- subpackage_inbox.subpackage_inbox/linkedin.subpackage_inbox/linkedin/threads parameters: - name: account_id in: path required: true schema: type: string - name: seat_id in: path required: true schema: type: string - name: thread_id in: path required: true schema: type: string - name: X-API-KEY in: header required: true schema: type: string responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/Inbox_Linkedin_Threads_Update thread_Response_200 requestBody: content: application/json: schema: type: object properties: thread: $ref: >- #/components/schemas/RestAccountsAccountIdInboxLinkedinSeatsSeatIdThreadsThreadIdPutRequestBodyContentApplicationJsonSchemaThread required: - thread servers: - url: https://hublinks.io components: schemas: RestAccountsAccountIdInboxLinkedinSeatsSeatIdThreadsThreadIdPutRequestBodyContentApplicationJsonSchemaThread: type: object properties: labels: type: array items: type: string unread: type: boolean required: - labels - unread title: >- RestAccountsAccountIdInboxLinkedinSeatsSeatIdThreadsThreadIdPutRequestBodyContentApplicationJsonSchemaThread Inbox_Linkedin_Threads_Update thread_Response_200: type: object properties: {} description: Empty response body title: Inbox_Linkedin_Threads_Update thread_Response_200 securitySchemes: apiKeyAuth: type: apiKey in: header name: X-API-KEY ``` ## SDK Code Examples ```python import requests url = "https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id" payload = { "thread": { "labels": ["inbox-leads"], "unread": False } } headers = { "X-API-KEY": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id'; const options = { method: 'PUT', headers: {'X-API-KEY': '', 'Content-Type': 'application/json'}, body: '{"thread":{"labels":["inbox-leads"],"unread":false}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id" payload := strings.NewReader("{\n \"thread\": {\n \"labels\": [\n \"inbox-leads\"\n ],\n \"unread\": false\n }\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("X-API-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["X-API-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"thread\": {\n \"labels\": [\n \"inbox-leads\"\n ],\n \"unread\": false\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id") .header("X-API-KEY", "") .header("Content-Type", "application/json") .body("{\n \"thread\": {\n \"labels\": [\n \"inbox-leads\"\n ],\n \"unread\": false\n }\n}") .asString(); ``` ```php request('PUT', 'https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id', [ 'body' => '{ "thread": { "labels": [ "inbox-leads" ], "unread": false } }', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id"); var request = new RestRequest(Method.PUT); request.AddHeader("X-API-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"thread\": {\n \"labels\": [\n \"inbox-leads\"\n ],\n \"unread\": false\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-KEY": "", "Content-Type": "application/json" ] let parameters = ["thread": [ "labels": ["inbox-leads"], "unread": false ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```